From dd1742fd62ce4d189ef8e1e590b4ef2541b1281e Mon Sep 17 00:00:00 2001
From: Agustin Martin Domingo <agmartin@debian.org>
Date: Fri, 2 Sep 2011 17:43:00 +0200
Subject: [PATCH] Work around clisp 2.49 not bumping LISPOBJ(version..).
 (Closes: #617378).

  clisp 2.49 did not not bumping LISPOBJ(version..) after some backwards
  incompatible changes from 2.48. This gives wrong clisp-fasl-loader
  version making clisp-fasl-loader based ABI check be wrong.

  We just make sure that at least 2.49 is used. LISPOBJ(version..) has
  been bumped in upstream sources after 2.49 release, so a new one will
  be with new upstream release.

  This change is a dirty hack for xindy that should be reverted
  when built against newer clisp upstream release.
---
 debian/changelog |   10 ++++++++++
 debian/control   |    4 ++--
 2 files changed, 12 insertions(+), 2 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index 7eec1fe..917351d 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,13 @@
+xindy (2.4-1.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Make xindy work around clisp 2.49 not bumping LISPOBJ(version..)
+    thus giving wrong clisp-fasl-loader version (Closes: #617378).
+    This change is a dirty hack for xindy that should be reverted
+    when built against newer clisp upstream release.
+
+ -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 02 Sep 2011 17:19:04 +0200
+
 xindy (2.4-1) unstable; urgency=low
 
   * New upstream release (closes: #555947)
diff --git a/debian/control b/debian/control
index 5decc87..da68522 100644
--- a/debian/control
+++ b/debian/control
@@ -4,7 +4,7 @@ Priority: optional
 Maintainer: JÃ¶rg Sommer <joerg@alea.gnuu.de>
 Build-Depends-Indep: texlive-latex-base, texlive-lang-cyrillic,
  texlive-latex-recommended, cm-super
-Build-Depends: debhelper (>= 5), dpatch, autotools-dev, flex, clisp
+Build-Depends: debhelper (>= 5), dpatch, autotools-dev, flex, clisp (>> 0.49)
 Standards-Version: 3.9.1
 Homepage: http://www.xindy.org/
 Vcs-Browser: http://git.debian.org/?p=users/jo-guest/xindy.git
@@ -14,7 +14,7 @@ DM-Upload-Allowed: yes
 Package: xindy
 Architecture: any
 Depends: xindy-rules, ${clisp:Depends}, ${shlibs:Depends}, ${perl:Depends},
-  ${misc:Depends}
+  ${misc:Depends}, clisp (>> 0.49)
 Description: index generator for structured documents like LaTeX or SGML
  xindy is an index processor that can be used to generate book-like
  indexes for arbitrary document-preparation systems. This includes
-- 
1.7.5.4

